#!/bin/sh
#date author lhpup.org license: GPL version 3 or any later version


APPTITLE="Puppy Update Chooser"
APPNAME="Chooser"

# Set up buttons for gxmessage
# For more, gtk-demo, click stock items and icon browser
B_OK="GTK_STOCK_OK"
B_Cancel="GTK_STOCK_CANCEL"

DL_VER="`cat /etc/LHPVERSION | tr -d '.' | cut -f1 -d'-'`"

[ ! "$(ps -eo comm | grep ^X)" ] && echo "$APPTITLE needs X running." && exit #101117
 
if [ "$USER" != "root" ]; then  #101117 allow wheel group members to run as root
 if [ "`which sudo`" -a "`groups "$USER" | grep 'wheel'`" ]; then
  sudo $0 "$@" &
  exit # End script
 else
  echo "Please run '$APPTITLE' as root."
  [ "$(ps -eo comm | grep ^X)" ] && Xdialog --title "$APPTITLE" \
          --wmclass $APPNAME \
          --icon "/usr/local/lib/X11/pixmaps/info.xpm" \
          --msgbox "\n Please run '$APPTITLE' as root. \n" 0 0 &
  exit 1 # End script
 fi
fi

if [ "$1" != "-nosplash" ]; then

 MSG=`which gxmessage` || MSG=xmessage
 $MSG -title "$APPTITLE" -name "$APPNAME" -center \
     -buttons " FilePup:100, Gdrive:101, Salix64:102, Gslapt:103, PPM:104,$B_Cancel:105" \
"

   FilePup: download JL64-604 packages from FilePup.net
   
   Gdrive: download sfs from gdrive repo

   Salix64: Salix .txz downloads (slackware.org)
   
   Gslapt:     Slackware packages
   
   PPM:        Puppy Package Manager"

 R=$?


  if [ "$R" == "100" ];then
    defaultbrowser "/usr/share/doc/FilePup.html" &
    exit 0 # END SCRIPT ####
  fi


  if [ "$R" == "101" ];then
    defaultbrowser "https://drive.google.com/folderview?id=0B-9zDfC5AvEVei0tcW9qZExFRGs&usp=sharing" &
    exit 0 # END SCRIPT ####
  fi


  if [ "$R" == "102" ];then
    defaultbrowser "http://slackware.org.uk/salix/x86_64/14.1/salix/xap/" &
    exit 0 # END SCRIPT ####
  fi

  if [ "$R" == "103" ];then
    /usr/sbin/gslapt &
    exit 0 # END SCRIPT ####
  fi

  if [ "$R" == "104" ];then 
  /usr/local/petget/pkg_chooser.sh &
    exit 0 # END SCRIPT ####
 fi

#  if [ "$R" == "105" ];then
#    defaultbrowser "http://www.murga-linux.com/puppy/viewtopic.php?p=249211#249211" &
#    exit 0 # END SCRIPT ####
#  fi

  if [ "$R" == "105" ];then # Cancel
    exit 0
  fi

  if [ "$R" == "1" ];then # User closed window
    exit 0
  fi

fi
